Subject: Re: Invoice 1406155
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Tue, 20 Dec 2011 09:19:44 -0500

Julie,
This order has been canceled and the credit that was given has been credited.  I  do apologize for any confusion or misunderstanding that may have occurred.
Thank you,
Michael B
LLPS

From: [email-masked] 
Sent: Monday, December 19, 2011 9:33 PM
To: Labor Law Poster Service 
Subject: Re: Invoice 1406155

I did not order this poster as I do not need it.  First of all, Susan has no authority to order anything for my business and second of all I have all the labor law posters needed which I receive for free. I do not know where you received a credit card # but I will dispute this charge.  Secondly my name is Julie Owen not Owens and I am the owner of this company and the only one authorized to accept credit card payments.
Thank you,
Julie Owen

----- Original Message -----
From: Labor Law Poster Service 
Date: Monday, December 19, 2011 12:45 pm
Subject: Invoice 1406155
To: [email-masked]

> ATTN: SUSAN
> 
> -------------------------
> Thank you for your order. Your invoice is attached.
> 
> This is an automatically generated message from Labor Law Poster 
> Service. 
> UID: 553 
>